KeyServerSearchTask.h
#ifndef GPGFRONTEND_KEYSERVERSEARCHTASK_H
#define GPGFRONTEND_KEYSERVERSEARCHTASK_H
#include "GpgFrontendUI.h"
namespace GpgFrontend::UI {
class KeyServerSearchTask : public Thread::Task {
Q_OBJECT
public:
KeyServerSearchTask(std::string keyserver_url, std::string search_string);
signals:
void SignalKeyServerSearchResult(QNetworkReply::NetworkError reply,
QByteArray buffer);
protected:
void run() override;
private slots:
void dealing_reply_from_server();
private:
std::string keyserver_url_;
std::string search_string_;
QNetworkAccessManager *manager_;
QNetworkReply *reply_;
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_KEYSERVERSEARCHTASK_H
GpgFrontend::UI
Definition: FileReadTask.cpp:31
GpgFrontend::UI::KeyServerSearchTask
Definition: KeyServerSearchTask.h:34
GpgFrontend::UI::KeyServerSearchTask::KeyServerSearchTask
KeyServerSearchTask(std::string keyserver_url, std::string search_string)
Construct a new Key Server Search Task object.
Definition: KeyServerSearchTask.cpp:31
GpgFrontend::Thread::Task
Definition: Task.h:45
GpgFrontend::UI::KeyServerSearchTask::SignalKeyServerSearchResult
void SignalKeyServerSearchResult(QNetworkReply::NetworkError reply, QByteArray buffer)